% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/scale-brain.R
\name{scale_colour_brain}
\alias{scale_colour_brain}
\alias{scale_color_brain}
\alias{scale_fill_brain}
\alias{scale_brain}
\title{Colour scales from the ggseg atlases}
\usage{
scale_colour_brain(...)

scale_color_brain(...)

scale_fill_brain(...)

scale_brain(name = "dkt", na.value = NULL, ...,
  aesthetics = c("colour", "color", "fill"))
}
\arguments{
\item{...}{additional arguments to pass to \code{\link{brain_pal}}}

\item{name}{String name of atlas}

\item{na.value}{string name or hex for the colour of NA entries}

\item{aesthetics}{You can scale the brain more generally with \code{scale_brain}
and a switch off the aesthetics.}
}
\description{
The `brain` scales provides colours for the different atlases in the
package, according to the colours used in the papers where the
atlases where first introduced.
}
\section{Palettes}{

The following palettes are available for use with these scales:
\describe{
  \item{Qualitative}{dkt, yeo7, yeo17, aseg, midsagittal}
}
}

\examples{
scale_brain()
scale_colour_brain()
scale_fill_brain()
}
